<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: SinglePlayerStateMachine Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-slots">Public Slots</a> &#124;
<a href="#signals">Signals</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classSinglePlayerStateMachine-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">SinglePlayerStateMachine Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for SinglePlayerStateMachine:</div>
<div class="dyncontent">
<div class="center"><img src="classSinglePlayerStateMachine__inherit__graph.png" border="0" usemap="#aSinglePlayerStateMachine_inherit__map" alt="Inheritance graph"/></div>
<map name="aSinglePlayerStateMachine_inherit__map" id="aSinglePlayerStateMachine_inherit__map">
<area shape="rect" title=" " alt="" coords="5,80,197,107"/>
<area shape="rect" title=" " alt="" coords="64,5,139,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for SinglePlayerStateMachine:</div>
<div class="dyncontent">
<div class="center"><img src="classSinglePlayerStateMachine__coll__graph.png" border="0" usemap="#aSinglePlayerStateMachine_coll__map" alt="Collaboration graph"/></div>
<map name="aSinglePlayerStateMachine_coll__map" id="aSinglePlayerStateMachine_coll__map">
<area shape="rect" title=" " alt="" coords="5,80,197,107"/>
<area shape="rect" title=" " alt="" coords="64,5,139,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-slots"></a>
Public Slots</h2></td></tr>
<tr class="memitem:a8ef50d0304af20a56070bb3daa4bc12d"><td class="memItemLeft" align="right" valign="top"><a id="a8ef50d0304af20a56070bb3daa4bc12d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>onMovePlayed</b> (<a class="el" href="classPlayerPerspective.html">PlayerPerspective</a> *, int indexOfNextPerspective)</td></tr>
<tr class="separator:a8ef50d0304af20a56070bb3daa4bc12d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="signals"></a>
Signals</h2></td></tr>
<tr class="memitem:a4181a37fa5a503c889e9c861785a7208"><td class="memItemLeft" align="right" valign="top"><a id="a4181a37fa5a503c889e9c861785a7208"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>movePlayed</b> (int i)</td></tr>
<tr class="separator:a4181a37fa5a503c889e9c861785a7208"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a84045a27a3c03c151fe19139af87fc38"><td class="memItemLeft" align="right" valign="top"><a id="a84045a27a3c03c151fe19139af87fc38"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>SinglePlayerStateMachine</b> (std::vector&lt; <a class="el" href="classPlayerPerspective.html">PlayerPerspective</a> * &gt; &amp;)</td></tr>
<tr class="separator:a84045a27a3c03c151fe19139af87fc38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9bdc7b79747b5defc92215a8a6d18f6"><td class="memItemLeft" align="right" valign="top"><a id="ae9bdc7b79747b5defc92215a8a6d18f6"></a>
<a class="el" href="classPlayerPerspective.html">PlayerPerspective</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>operator[]</b> (int)</td></tr>
<tr class="separator:ae9bdc7b79747b5defc92215a8a6d18f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa992e039bbcf778f61dbb2e30cb5bc8b"><td class="memItemLeft" align="right" valign="top"><a id="aa992e039bbcf778f61dbb2e30cb5bc8b"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>size</b> ()</td></tr>
<tr class="separator:aa992e039bbcf778f61dbb2e30cb5bc8b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa336c7bcb14ed5efb5acf0bb18952587"><td class="memItemLeft" align="right" valign="top"><a id="aa336c7bcb14ed5efb5acf0bb18952587"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>push_back</b> (<a class="el" href="classPlayerPerspective.html">PlayerPerspective</a> *)</td></tr>
<tr class="separator:aa336c7bcb14ed5efb5acf0bb18952587"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae077459b96e131cd2e8c81d5333b73c2"><td class="memItemLeft" align="right" valign="top"><a id="ae077459b96e131cd2e8c81d5333b73c2"></a>
<a class="el" href="classPlayerPerspective.html">PlayerPerspective</a> *&#160;</td><td class="memItemRight" valign="bottom"><b>back</b> ()</td></tr>
<tr class="separator:ae077459b96e131cd2e8c81d5333b73c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>headers/<a class="el" href="singleplayerstatemachine_8h_source.html">singleplayerstatemachine.h</a></li>
<li>src/singleplayerstatemachine.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
